#!/bin/bash

package=HadoopGreenstoneIngest
version=

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*

prefix=$GEXTPARALLELBUILDING_INSTALLED

# Can't build HadoopGreenstoneIngest without Greenstone
if [ "${HADOOP_VERSION}x" != "x" ]
then
    rm ${GEXTPARALLELBUILDING_INSTALLED}/lib/hadoop-greenstone.jar
    pushd ${GEXTPARALLELBUILDING}/src/java/org/nzdl/gsdl/
    rm -rf hgi_classes
    mkdir hgi_classes
    javac -cp $HADOOP_PREFIX/hadoop-core-$HADOOP_VERSION.jar -d hgi_classes *.java
    jar -cvf $GEXTPARALLELBUILDING_INSTALLED/lib/hadoop-greenstone.jar -C hgi_classes/ .
    popd
else
    echo "No Hadoop version specified... skipping!"
fi
